---
lang: en
title: 'API docs: repository.istyperesolver'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.istyperesolver.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [isTypeResolver](./repository.istyperesolver.md)

## isTypeResolver() function

A function that checks whether a function is a TypeResolver or not.

<b>Signature:</b>

```typescript
export declare function isTypeResolver<T extends object>(fn: any): fn is TypeResolver<T>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  fn | <code>any</code> | The value to check. |

<b>Returns:</b>

`fn is TypeResolver<T>`


